Next Previous Contents

## 3.143 strchr

> Function

>   Search for a character in a string.

> Header

>   `string.h`

> Declaration

>   `char* __fastcall__ strchr (const char* s, int c);`

> Description

>   The `strchr` function locates the first occurrence of `c` (converted to a char) in the string pointed to by `s`. The terminating null byte is considered to be part of the string. Upon completion, the function returns a pointer to the byte, or a null pointer if the byte was not found.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   ISO 9899

> See also

>   memchr, strrchr

> Example

>   None.

Next Previous Contents